Bug 844339 - FutureFeature: RHS-C should enable alert forwarding to enterprise monitoring tools
FutureFeature: RHS-C should enable alert forwarding to enterprise monitoring ...
Status: CLOSED NEXTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Sahina Bose
storage-qa-internal@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 06:50 EDT by Paul Cuzner
Modified: 2015-01-30 09:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-30 09:39:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Cuzner 2012-07-30 06:50:53 EDT
Description of problem:
RHS-C does not provide an integration mechanism to allow events to be forwarded to an enterprise manager like IBM TEC, HP NMC (Openview) or even open source tools like Icinga or OpenNMS.

RHS-C should provide as a minimum SNMP capabilities, with a predefined MIB for entry into these monitoring platforms.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Sahina Bose 2014-07-16 03:14:29 EDT
oVirt 3.4 has the capability to send SNMP trap notification. RHSC events need to be associated with the appropriate MIB to make this usable.
Comment 4 Alok 2015-01-30 09:39:06 EST
Already addressed in 3.0. We have decided not to back-port this feature as a 
majority of our customers are either on RHSS 3.x or are planning to move 
to it soon. We encourage our 2.1 customers to do the same.

Note You need to log in before you can comment on or make changes to this bug.